Skip to main content
`Ctrl`+`K`

# PetscShmgetMapAddresses

given shared address on the first MPI process determines the addresses on the other MPI processes that map to the same physical memory

## Synopsis

    PetscErrorCode PetscShmgetMapAddresses(MPI_Comm comm, PetscInt n, const void **baseaddres, void **addres)

## Input Parameters

- comm - the `MPI_Comm` to scatter the address

- n - the number of addresses, each obtained on MPI process zero by `PetscShmgetAllocateArray()`

- baseaddres - the addresses on the first MPI process, ignored on all but first process

## Output Parameter

- addres - the addresses on each MPI process, the array of void * must already be allocated

## Note

This routine does nothing if `PETSC_HAVE_SHMGET` is not defined

## See Also

`PetscShmgetDeallocateArray()`, `PetscShmgetAllocateArray()`, `PetscShmgetUnmapAddresses()`

## Level

developer

## Location

src/sys/utils/server.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages